'--- Set the path according to your system of folders
%path = "c:\mpa\W2"
%starthist = "1996:1"
%endhist = "2010:1"

cd {%path}

'----- Read quarterly data -----
workfile m_analysis q %starthist %endhist
delete *
read {%path}\data.xls 5

'----- Compute logs and growth rates
for %i cpi gdp m1 m2
  series l{%i} = 100*log({%i})
  series dl_{%i} = 4*(l{%i} - l{%i}(-1))
  series d4l_{%i} = l{%i} - l{%i}(-4)
next

'-----Compute real money ----
for %i m1 m2
series lr{%i} = l{%i} - lcpi
next

'----- Money overhang ----
'1] Money demand - M1
equation moneydemand_m1.ls lm1 = 
show moneydemand_m1
series resm1 = resid

'Money overhang (M1) and inflation
group groupm1 dl_cpi resm1
groupm1.cross(6)

graph gr_resm1 dl_cpi resm1
show gr_resm1

'2] Money demand - M2
equation moneydemand_m2.ls lm2 = 
show moneydemand_m2
series resm2 = resid

'Money overhang (M1) and inflation
group groupm2 dl_cpi resm2
groupm2.cross(6)

graph gr_resm2 dl_cpi resm2
show gr_resm2
