'--- Set the path according to your system of folders
%path = "c:\mpa\W2"
%starthist = "1996:1"
%endhist = "2010:1"

cd {%path}

'----- Read quarterly data -----
workfile m_analysis q %starthist %endhist
delete *
read {%path}\data.xls 5

'----- Compute logs and growth rates
for %i cpi gdp m1 m2
  series l{%i} = 100*log({%i})
  series dl_{%i} = 4*(l{%i} - l{%i}(-1))
  series d4l_{%i} = l{%i} - l{%i}(-4)
next

'-----Compute real money ----
for %i m1 m2
series lr{%i} = l{%i} - lcpi
next

'----- P* model -----
'1] Money velocity
series vm1 = 
series vm2 = 

'2] Gap in money velocity
vm1.hpf vm1_tnd
series vm1_gap = vm1 - vm1_tnd

vm2.hpf vm2_tnd
series vm2_gap = vm2 - vm2_tnd

'3] Output gap
lgdp.hpf lgdp_tnd
series lgdp_gap = lgdp - lgdp_tnd

'4] Price gap
series p_gapm1 = 
series p_gapm2 = 

'5] Relation to inflation
group inflm1 dl_cpi p_gapm1
inflm1.cross(6)

graph pgapm1 dl_cpi p_gapm1
show pgapm1

group inflm2 dl_cpi p_gapm2
inflm2.cross(6)

graph pgapm2 dl_cpi p_gapm2
show pgapm2
